import org.springframework.context.support.*;
import uk.ac.ncl.cs.instantsoap.wsapi.*;
import static uk.ac.ncl.cs.instantsoap.wsapi.Wsapi.*;

public class BlockedInvocationClient
{
    public static void main(String[] args)
            throws Throwable
    {
        ClassPathXmlApplicationContext context
                = new ClassPathXmlApplicationContext(new String[] {"client-beans.xml"});

        WebServiceDispatcher dispatcher = (WebServiceDispatcher) context.getBean("client");

        JobSpecification js = jobSpecification(
                "stringEcho",
                pair("messageIn", "Hi Mum!"));

// START SNIPPET: blocked-invocation
        BlockedInvocationResponse response = dispatcher.invokeAndBlock(js);
        System.out.println("The message was: "
                + response.getResults().get("messageOut"));
// END SNIPPET: blocked-invocation
    }
}

